from bcdebug import debug
# Dauntless.py

##############################################################################

Carrier = __import__( "ftb.Carrier")
class KingstonWall( Carrier.Carrier):
    def __init__( self, pShip):
        Carrier.Carrier.__init__( self, pShip)
        # The script name should be the name of the "ship" script, not the
        # hardpoint (otherwise, you'll crash your BC and this is bad)
        LauncherGroup = __import__( "ftb.LauncherGroup")
        group = LauncherGroup.LauncherGroup()

        LauncherManager = __import__( "ftb.LauncherManager")
        launcher = LauncherManager.GetLauncher( "Shuttle Bay", pShip)
        group.AddLauncher( "Shuttle Bay", launcher)
        launcher.AddLaunchable( "workerbee", "ftb.friendlyAI", 12)

        launcher = LauncherManager.GetLauncher( "Shuttle Bay 1", pShip)
        group.AddLauncher( "Shuttle Bay 1", launcher)
        launcher.AddLaunchable( "Type1", "ftb.friendlyAI", 12)
       
        self.AddLauncher( "Group 1", group)

    # Define how much Shuttles we can carry maximal (Return Shuttles script)
    def GetMaxShuttles(self):
    	debug(__name__ + ", GetMaxShuttles")
    	return 23

   
ShipManager = __import__( "ftb.ShipManager")
ShipManager.RegisterShipClass( "KingstonWall", KingstonWall)
